Bug 452378 - Using KDE4 cmake module fails with cross compiling
Using KDE4 cmake module fails with cross compiling
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-21 13:30 EDT by Ben Boeckel
Modified: 2008-09-05 23:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 23:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2008-06-21 13:30:51 EDT
Description of problem:
When trying to use the KDE4 module for cross compiling (I'm using mingw32-
case). When searching for kde4-config, it doesn't find the kde4-config.exe in
<kde4root>/bin (which it can't run anyway). It will also fail to find the
KDE4Internal module since it looks in <kde4root>/bin/../../cmake/Modules for it,
but KDE4Win puts it into <kde4root>/share/apps/cmake/modules (yes, the case is
that way, so even if the path were right, *nix is case-sensitive). I'm not sure
of the cleanest way to fix it, but I can help tomorrow.

Version-Release number of selected component (if applicable):
cmake 2.6 (from the kde-redhat repo, but it should be the same as in rawhide)
Comment 1 Orion Poplawski 2008-06-23 15:51:07 EDT
Please file upstream here http://public.kitware.com/Bug or ask on the cmake
list.  I'm not modifying the stock cmake distribution in this regards.  Post the
upstream bug here if you file one.

Note You need to log in before you can comment on or make changes to this bug.